Pour ouvrir « MATLAB », il vous faut un moteur d’exécution Java SE 6

Je ne me suis pas servi de MATLAB sur mon Mac depuis une (récente) mise à jour vers OS X 10.9 (Mavericks).

Et ce matin, surprise : impossible d’ouvrir MATLAB. :sad:

Erreur relative à Java SE 6

Voici le message d’erreur qui apparait :

Pour ouvrir MATLAB, il vous faut un moteur d'execution Java SE 6

Le problème vient semble-t-il du fait que Java n’est plus fournit avec les dernières versions de OS X.

C’est ce que j’ai constaté en ouvrant une console :

Mac-mini-de-Jerome:~ jerome$ java -version
No Java runtime present, requesting install.

J’ai tenté l’installation proposée en cliquant sur « Installer », mais sans succès.

La solution a donc consisté à télécharger Java SE 6 sur cette page : Java for OS X 2013-005

Après installation :

Mac-mini-de-Jerome:~ jerome$ java -version
java version "1.6.0_65"
Java(TM) SE Runtime Environment (build 1.6.0_65-b14-462-11M4609)
Java HotSpot(TM) 64-Bit Server VM (build 20.65-b04-462, mixed mode)

Erreur relative à X11

A la première exécution de MATLAB, j’ai eu droit à un nouveau message d’erreur, cette fois pour X11.

Pour ouvrir MATLAB_maci64, vous devez installer X11.

En cliquant sur « Continuer », on accède à cette page : About X11 and OS X

On peut y lire :

X11 is no longer included with OS X, but X11 server and client libraries for OS X are available from the XQuartz project

Je suis donc allé dans le Launchpad et j’ai ouvert XQuartz.
Ce dernier m’a proposé une mise à jour et j’ai enfin pu ouvrir MATLAB.

:mrgreen:

Une réflexion au sujet de « Pour ouvrir « MATLAB », il vous faut un moteur d’exécution Java SE 6 »

Laisser un commentaire

Votre adresse de messagerie ne sera pas publiée.

Vous pouvez utiliser ces balises et attributs HTML : <a href="" title=""> <abbr title=""> <acronym title=""> <b> <blockquote cite=""> <cite> <code> <del datetime=""> <em> <i> <q cite=""> <strike> <strong>